> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gank.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# wallets api

> wallet endpoints

# wallets api

## create wallet

```
POST /wallets
```

<ParamField body="wallet_type" type="string" required>
  `dev`, `regular`, `snipe`, `swarm`, `volume`, `bundle`
</ParamField>

<ParamField body="label" type="string">
  optional label
</ParamField>

<ParamField body="vanity" type="boolean">
  vanity address ending in "pump"
</ParamField>

returns wallet address. key encrypted server-side.

## list wallets

```
GET /wallets/user
```

## get balance

```
GET /wallets/:id/balance
```

## batch balances

```
POST /wallets/balances
```

<ParamField body="addresses" type="string[]" required>
  wallet addresses
</ParamField>

## transfer sol

```
POST /wallets/transfer
```

<ParamField body="from_wallet" type="string" required>
  source
</ParamField>

<ParamField body="to_wallet" type="string" required>
  destination
</ParamField>

<ParamField body="amount_sol" type="number" required>
  amount (max 10)
</ParamField>

## vamp all

```
POST /wallets/vamp-all
```

<ParamField body="source_wallets" type="string[]" required>
  wallets to drain
</ParamField>

<ParamField body="destination_wallet" type="string" required>
  where sol goes
</ParamField>

<ParamField body="sell_tokens" type="boolean" default="true">
  sell all tokens first
</ParamField>

<ParamField body="close_accounts" type="boolean" default="true">
  close empty accounts for rent recovery
</ParamField>

## privacy swap

### quote

```
POST /wallets/clean-funds/quote
```

<ParamField body="amount_sol" type="number" required>
  amount to swap
</ParamField>

### initiate

```
POST /wallets/clean-funds
```

<ParamField body="source_wallets" type="string[]" required>
  source wallets
</ParamField>

<ParamField body="destination_wallets" type="string[]" required>
  destination wallets
</ParamField>

### status

```
GET /wallets/clean-funds/status
```

returns active operations with current order statuses.

### history

```
GET /wallets/clean-funds/history
```

all operations, completed and active.
